Package org.eclipse.equinox.http.jetty

# Class JettyConfigurator

java.lang.Object
org.eclipse.equinox.http.jetty.JettyConfigurator

public class JettyConfigurator extends Object

JettyConfigurator provides API level access for creating configured instances of a Jetty-based Http Service. The created instances are not persistent across re-starts of the bundle.

See Also:
  - `JettyConstants`
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`JettyConfigurator()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`startServer(String id, Dictionary<String,? extends Object> settings)`
Creates an instance of Jetty parameterized with a dictionary of settings
`static void`
`stopServer(String id)`
Stops a previously started instance of Jetty.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JettyConfigurator

public JettyConfigurator()

## Method Details

### startServer

public static void startServer(String id, Dictionary<String,? extends Object> settings) throws Exception
Creates an instance of Jetty parameterized with a dictionary of settings

Parameters:
  `id` - The identifier for the server instance
  `settings` - The dictionary of settings used to configure the server instance
Throws:
  `Exception` - If the server failed to start for any reason

### stopServer

public static void stopServer(String id) throws Exception
Stops a previously started instance of Jetty. If the identified instance is not started this will call will do nothing.

Parameters:
  `id` - The identifier for the server instance
Throws:
  `Exception` - If the server failed to stop for any reason.